/// <reference types="react" />
import * as React from "react";
import { Command, CommandSet, Value } from "./types";
export interface ReactMdeProps {
    commands: Array<Array<Command | CommandSet>>;
    value: Value;
    onChange: (value: Value) => void;
    textAreaProps: any;
}
export declare class ReactMde extends React.Component<ReactMdeProps> {
    textArea: HTMLTextAreaElement;
    preview: HTMLDivElement;
    /**
     * Handler for the textArea value change
     * @memberOf ReactMde
     */
    handleValueChange: (value: any) => void;
    /**
     * Executes a command
     * @memberOf ReactMde
     */
    handleCommand: (command: Command) => void;
    /**
     * Renders react-mde
     * @returns
     * @memberOf ReactMde
     */
    render(): JSX.Element;
}
