"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactMdeSelectionHelper_1 = require("./helpers/ReactMdeSelectionHelper");
var ReactMdeToolbar_1 = require("./ReactMdeToolbar");
var ReactMdeTextArea_1 = require("./ReactMdeTextArea");
var ReactMdePreview_1 = require("./ReactMdePreview");
var ReactMde = /** @class */ (function (_super) {
    __extends(ReactMde, _super);
    function ReactMde() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        /**
         * Handler for the textArea value change
         * @memberOf ReactMde
         */
        _this.handleValueChange = function (value) {
            var onChange = _this.props.onChange;
            onChange(value);
        };
        /**
         * Executes a command
         * @memberOf ReactMde
         */
        _this.handleCommand = function (command) {
            var _a = _this.props, text = _a.value.text, onChange = _a.onChange;
            var newValue = command.execute(text, ReactMdeSelectionHelper_1.getSelection(_this.textArea));
            onChange(newValue);
        };
        return _this;
    }
    /**
     * Renders react-mde
     * @returns
     * @memberOf ReactMde
     */
    ReactMde.prototype.render = function () {
        var _this = this;
        var _a = this.props, value = _a.value, commands = _a.commands, textAreaProps = _a.textAreaProps;
        return (React.createElement("div", { className: "react-mde" },
            React.createElement(ReactMdeToolbar_1.ReactMdeToolbar, { commands: commands, onCommand: this.handleCommand }),
            React.createElement(ReactMdeTextArea_1.ReactMdeTextArea, { onChange: this.handleValueChange, value: value, textAreaProps: textAreaProps, textAreaRef: function (c) { return _this.textArea = c; } }),
            React.createElement(ReactMdePreview_1.ReactMdePreview, { markdown: value ? value.text : "", previewRef: function (c) { return _this.preview = c; } })));
    };
    return ReactMde;
}(React.Component));
exports.ReactMde = ReactMde;
